<div class = "row" >
  <div class="col-lg-8 offset-lg-2 ">
    <div class="card card-small mb-4">
      <div class="card-header border-bottom">
        <h6 class="m-0">New User</h6>
      </div>
      <ul class="list-group list-group-flush">
        <li class="list-group-item p-3">
          <div class="row">
            <div class="col">
              <%= form_for @user, url: staff_users_path do |f| %>
                <%= f.error_messages %>
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <%= f.label :"First Name" %>
                    <%= f.text_field :name, class: "form-control" %>
                  </div>
                  <div class="form-group col-md-6">
                      <%= f.label :"Last Name" %>
                      <%= f.text_field :l_name, class: "form-control" %>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group col-md-6">
                    <%= f.label :"DOB" %>
                    <%= f.date_field :dob, class: "form-control" %>
                  </div>
                  <div class="form-group col-md-6">
                    <%= f.label :"Phone No" %>
                    <%= f.text_field :phone, class: "form-control" %>
                  </div>
                </div>

                <div class="form-group">
                  <%= f.label :"Address" %>
                  <%= f.text_field :address, class: "form-control" %>
                </div>


                <div class="form-row">
                  <div class="form-group col-md-6">
                    <%= f.label :"Email" %>
                    <%= f.email_field :email, class: "form-control" %>
                  </div>
                  <div class="form-group col-md-6">
                    <%= f.label :"Photo" %>
                    <%= f.file_field :photo, class: "form-control" %>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group col-md-6">
                    <%= f.label :"Password" %>
                    <%= f.password_field :password, class: "form-control" %>
                  </div>

                  <div class="form-group col-md-6">
                    <%= f.label :"Password Confirmation" %>
                    <%= f.password_field :password_confirmation, class: "form-control" %>
                  </div>
                </div>

                              <div class="form-row">
                  <div class="form-group col-md-6">
                      <%= f.label :"Role" %>
                      <%= f.select :role, options_for_select(User::ROLES, selected: f.object.role), {}, class: "form-control", style: "text-color: black;" %>
                  </div>
                </div>
           
                <button type="submit" class="btn btn-accent">Submit</button>
              <% end %>
            </div>
          </div>
        </li>
      </ul>
    </div>
  </div>
</div>